<?xml version="1.0"?>
<!--
   Copyright (C) 2011  Stanislav Sinyagin

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

-->


<!--
   RFC 4219 (HDSL2-SHDSL-LINE-MIB)
-->


<configuration>

<definitions>
 <!-- HDSL2-SHDSL-LINE-MIB -->
 <def name="hdsl2ShdslEndpointCurrAtn"    value="1.3.6.1.2.1.10.48.1.5.1.1"/>
 <def name="hdsl2ShdslEndpointCurrSnrMgn" value="1.3.6.1.2.1.10.48.1.5.1.2"/>
 <def name="hdsl2Shdsl15MinIntervalES"    value="1.3.6.1.2.1.10.48.1.6.1.2"/>
 <def name="hdsl2Shdsl15MinIntervalSES"   value="1.3.6.1.2.1.10.48.1.6.1.3"/>
 <def name="hdsl2Shdsl15MinIntervalCRCanomalies"
                                          value="1.3.6.1.2.1.10.48.1.6.1.4"/>
 <def name="hdsl2Shdsl15MinIntervalLOSWS" value="1.3.6.1.2.1.10.48.1.6.1.5"/>
 <def name="hdsl2Shdsl15MinIntervalUAS"   value="1.3.6.1.2.1.10.48.1.6.1.6"/>
</definitions>

<datasources>

  <template name="hdsl-subtree">
    <param name="precedence"     value="-600" />
    <param name="comment"        value="HDSL2/SHDSL line quality statistics" />
    <param name="data-file">
       %system-id%_%hdsl-endpoint-nick%_hdsl-line.rrd
    </param>
    <param name="collector-timeoffset-hashstring"
                                       value="%system-id%:%hdsl-index%" />
    <param name="descriptive-nickname" value="%system-id%:%interface-name%"/>
    <param name="graph-title"          value="%descriptive-nickname%" />

    <param name="has-overview-shortcuts" value="yes"/>
    <param name="overview-shortcuts" value="snr,err,crc"/>

    <param name="overview-subleave-name-snr" value="SNR_Summary"/>
    <param name="overview-direct-link-snr"      value="yes"/>
    <param name="overview-shortcut-text-snr"
           value="All line SNR margins"/>
    <param name="overview-shortcut-title-snr"
           value="Show SNR margin graphs for all endpoints in one page"/>
    <param name="overview-page-title-snr"
           value="SNR quality Graphs"/>

    <param name="overview-subleave-name-err" value="Error_Summary"/>
    <param name="overview-direct-link-err"      value="yes"/>
    <param name="overview-shortcut-text-err"
           value="All line error seconds"/>
    <param name="overview-shortcut-title-err"
        value="Show line error summary graphs for all endpoints in one page"/>
    <param name="overview-page-title-err"
           value="Line Error Seconds Graphs"/>

    <param name="overview-subleave-name-crc" value="CRCA_Summary"/>
    <param name="overview-direct-link-crc"      value="yes"/>
    <param name="overview-shortcut-text-crc"
           value="All line CRC errors"/>
    <param name="overview-shortcut-title-crc"
     value="Show line CRC error summary graphs for all endpoints in one page"/>
    <param name="overview-page-title-crc"
           value="Line CRC Errors"/>

    <param name="rrd-hwpredict"     value="disabled" />
  </template>

  <template name="hdsl-interface">
    <param name="has-overview-shortcuts" value="yes"/>
    <param name="overview-shortcuts" value="signal,err,crc"/>

    <param name="overview-subleave-name-signal" value="Signal_Summary"/>
    <param name="overview-direct-link-signal"      value="yes"/>
    <param name="overview-direct-link-view-signal" value="expanded-dir-html"/>
    <param name="overview-shortcut-text-signal"
           value="All endpoint signal levels"/>
    <param name="overview-shortcut-title-signal"
           value="Show signal quality graphs for all endpoints in one page"/>
    <param name="overview-page-title-signal"
           value="Signal quality Graphs"/>

    <param name="overview-subleave-name-err" value="Line_Errors_Summary"/>
    <param name="overview-direct-link-err"      value="yes"/>
    <param name="overview-direct-link-view-err" value="expanded-dir-html"/>
    <param name="overview-shortcut-text-err"
           value="All endpoint line error seconds"/>
    <param name="overview-shortcut-title-err"
           value="Show line error graphs for all endpoints in one page"/>
    <param name="overview-page-title-err"
           value="Line Error Seconds Graphs"/>

    <param name="overview-subleave-name-crc" value="Prev_15min_CRCA"/>
    <param name="overview-direct-link-crc"      value="yes"/>
    <param name="overview-direct-link-view-crc" value="expanded-dir-html"/>
    <param name="overview-shortcut-text-crc"
           value="All endpoint CRC errors"/>
    <param name="overview-shortcut-title-crc"
           value="Show line error graphs for all endpoints in one page"/>
    <param name="overview-page-title-crc"
           value="Line CRC Errors"/>

  </template>

  <template name="hdsl-endpoint">

    <leaf name="Signal_Summary">
      <param name="nodeid"         value="%nodeid-dslendpoint%//signal" />
      <param name="comment"            value="Attenuation and SNR Margin" />
      <param name="precedence"         value="1000" />
      <param name="node-display-name"  value="Signal Summary"/>
      <param name="ds-type"            value="rrd-multigraph" />
      <param name="ds-names"           value="atn,snr" />

      <param name="ds-expr-atn"       value="{Attenuation}" />
      <param name="graph-legend-atn"  value="Attenuation" />
      <param name="line-style-atn"    value="LINE2" />
      <param name="line-color-atn"    value="##one" />
      <param name="line-order-atn"    value="1" />

      <param name="ds-expr-snr"       value="{SNR_Margin}" />
      <param name="graph-legend-snr"  value="SNR Margin" />
      <param name="line-style-snr"    value="LINE2" />
      <param name="line-color-snr"    value="##two" />
      <param name="line-order-snr"    value="2" />

      <param name="vertical-label"    value="dB" />
      <param name="graph-lower-limit" value="0" />
    </leaf>

    <leaf name="Line_Errors_Summary">
      <param name="nodeid"         value="%nodeid-dslendpoint%//errors" />
      <param name="comment"            value="Line error graphs" />
      <param name="precedence"         value="999" />
      <param name="node-display-name"  value="Line Errors Summary"/>
      <param name="ds-type"            value="rrd-multigraph" />
      <param name="ds-names"           value="es,ses,losws,uas" />

      <param name="ds-expr-es"       value="{Prev_15min_ES}" />
      <param name="graph-legend-es"  value="ES in 15min" />
      <param name="line-style-es"    value="LINE2" />
      <param name="line-color-es"    value="##one" />
      <param name="line-order-es"    value="1" />

      <param name="ds-expr-ses"       value="{Prev_15min_SES}" />
      <param name="graph-legend-ses"  value="SES in 15min" />
      <param name="line-style-ses"    value="LINE2" />
      <param name="line-color-ses"    value="##two" />
      <param name="line-order-ses"    value="2" />

      <param name="ds-expr-losws"       value="{Prev_15min_LOSWS}" />
      <param name="graph-legend-losws"  value="LOSWS in 15min" />
      <param name="line-style-losws"    value="LINE2" />
      <param name="line-color-losws"    value="##four" />
      <param name="line-order-losws"    value="4" />

      <param name="ds-expr-uas"       value="{Prev_15min_UAS}" />
      <param name="graph-legend-uas"  value="UAS in 15min" />
      <param name="line-style-uas"    value="LINE2" />
      <param name="line-color-uas"    value="##five" />
      <param name="line-order-uas"    value="5" />

      <param name="vertical-label"    value="Seconds" />
      <param name="graph-lower-limit" value="0" />
    </leaf>

    <leaf name="Attenuation">
      <param name="nodeid"         value="%nodeid-dslendpoint%//atn" />
      <param name="comment"            value="Current loop attenuation" />
      <param name="snmp-object"
          value="%hdsl-curr-atn-oid%.%hdsl-index%" />
      <param name="rrd-ds"             value="CurrAtn" />
      <param name="rrd-create-dstype"  value="GAUGE" />
      <param name="vertical-label"     value="dB" />
      <param name="graph-legend"       value="Attenuation" />
      <param name="graph-lower-limit"  value="0" />
      <param name="precedence"         value="890" />
      <param name="hidden"             value="yes" />
    </leaf>

    <leaf name="SNR_Margin">
      <param name="nodeid"         value="%nodeid-dslendpoint%//snr" />
      <param name="comment"            value="Current SNR margin" />
      <param name="snmp-object"
          value="%hdsl-curr-snr-oid%.%hdsl-index%" />
      <param name="rrd-ds"             value="CurrSnrMgn" />
      <param name="rrd-create-dstype"  value="GAUGE" />
      <param name="vertical-label"     value="dB" />
      <param name="graph-legend"       value="SNR margin" />
      <param name="graph-lower-limit"  value="0" />
      <param name="precedence"         value="880" />
      <param name="hidden"             value="yes" />
    </leaf>


    <leaf name="Prev_15min_ES">
      <param name="nodeid"         value="%nodeid-dslendpoint%//es" />
      <param name="comment"
         value="Errored Seconds during the previous 15min interval"/>
      <param name="node-display-name"  value="ES in prev. 15min"/>
      <param name="snmp-object"
          value="%hdsl-intvl-es-oid%.%hdsl-index%.1" />
      <param name="rrd-ds"             value="15minES" />
      <param name="rrd-create-dstype"  value="GAUGE" />
      <param name="vertical-label"     value="seconds" />
      <param name="graph-legend"       value="15min ES" />
      <param name="graph-lower-limit"  value="0" />
      <param name="precedence"         value="870" />
    </leaf>

    <leaf name="Prev_15min_SES">
      <param name="nodeid"         value="%nodeid-dslendpoint%//ses" />
      <param name="comment"
         value="Severely Errored Seconds during the previous 15min interval"/>
      <param name="node-display-name"  value="SES in prev. 15min"/>
      <param name="snmp-object"
          value="%hdsl-intvl-ses-oid%.%hdsl-index%.1" />
      <param name="rrd-ds"             value="15minSES" />
      <param name="rrd-create-dstype"  value="GAUGE" />
      <param name="vertical-label"     value="seconds" />
      <param name="graph-legend"       value="15min SES" />
      <param name="graph-lower-limit"  value="0" />
      <param name="precedence"         value="860" />
    </leaf>

    <leaf name="Prev_15min_CRCA">
      <param name="nodeid"         value="%nodeid-dslendpoint%//crca" />
      <param name="comment"
         value="CRC anomalies during the previous 15min interval"/>
      <param name="node-display-name"  value="CRCA in prev. 15min"/>
      <param name="snmp-object"
          value="%hdsl-intvl-crc-oid%.%hdsl-index%.1" />
      <param name="rrd-ds"             value="15minCRCA" />
      <param name="rrd-create-dstype"  value="GAUGE" />
      <param name="vertical-label"     value="anomalies" />
      <param name="graph-legend"       value="15min CRCA" />
      <param name="graph-lower-limit"  value="0" />
      <param name="precedence"         value="850" />
    </leaf>

    <leaf name="Prev_15min_LOSWS">
      <param name="nodeid"         value="%nodeid-dslendpoint%//losws" />
      <param name="comment"
         value="Loss of Sync Word Seconds during the previous 15min interval"/>
      <param name="node-display-name"  value="LOSWS in prev. 15min"/>
      <param name="snmp-object"
          value="%hdsl-intvl-losws-oid%.%hdsl-index%.1" />
      <param name="rrd-ds"             value="15minLOSWS" />
      <param name="rrd-create-dstype"  value="GAUGE" />
      <param name="vertical-label"     value="seconds" />
      <param name="graph-legend"       value="15min LOSWS" />
      <param name="graph-lower-limit"  value="0" />
      <param name="precedence"         value="840" />
    </leaf>

    <leaf name="Prev_15min_UAS">
      <param name="nodeid"         value="%nodeid-dslendpoint%//uas" />
      <param name="comment"
         value="Unavailable Seconds during the previous 15min interval"/>
      <param name="node-display-name"  value="UAS in prev. 15min"/>
      <param name="snmp-object"
          value="%hdsl-intvl-uas-oid%.%hdsl-index%.1" />
      <param name="rrd-ds"             value="15minUAS" />
      <param name="rrd-create-dstype"  value="GAUGE" />
      <param name="vertical-label"     value="seconds" />
      <param name="graph-legend"       value="15min UAS" />
      <param name="graph-lower-limit"  value="0" />
      <param name="precedence"         value="830" />
    </leaf>
  </template>

</datasources>

</configuration>
